SERIALVIEW(1)

NAME
serialview - Terminal emulator for uCsim

SYNOPSIS
serialview -i <filename> -o <filename> -L n -a <pattern> -A <answer> -IOh

DESCRIPTION
serialview is a simple terminal emulator which can be used with uCsim.

OPTIONS

-i filename
    filename is the pipe to the controllers's serial input. Characters typed into the input panel will be written to this file.

-o filename
    filename is the pipe to the controllers's serial output. Content of this file is prosented on the output panel.

-I  Use hexadecimal filter on input. Only hexadecimal characters are accepted in input panel. Two characters are combined into a hexadecimal code and value is written to the input pipe.

-O  Use hexadecimal filter on output. Content of output pipe is presented as a hexadecimal dump. -L option can be used to set how many bytes are printed in one line.

-a pattern
    pattern is a string which is recognized in output stream and automaticaly answered by sending an answer string (see -A option). String can be formatted as a C string, non-asci characters can be escaped in C style.

-A answer
    answer is a string which is sent when a pattern (see -a option) is detected in simulator's output. This answer string is written to the input pipe but not shown in the input panel.

-L n
    Set line length of hexadecimal dump in output panel (default=8).

-h  Show summary of options.

When no options are provided the input and output pipes are created in /tmp and named respectively in and out

SEE ALSO
sdcc(1), ucsim(1).

AUTHOR
Timothy Hurman